#ifndef __GUI_TOOLS_H__

#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>

VoidPtr GetObjectPtr(Int objectID);
VoidPtr GetObjectPtrFromForm(FormPtr frm, Int objectID);
void SetFocus(Int objectID);

void SetText(FieldPtr fieldPtr, CharPtr text);
void SetTextById(Word fieldId, CharPtr text);

// GetText methods allocate new memory!! Use MemPtrFree to free..
//
CharPtr GetText(FieldPtr fieldPtr);
CharPtr GetTextById(Word fieldId);

void PutNumInField(FieldPtr fieldPtr, Long val);
Long GetNumFromField(FieldPtr fieldPtr);

#endif __GUI_TOOLS_H__
